%define upstream_name	 Socket6
%define upstream_version 0.29

# Filter the Perl extension module
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    IPv6 related part of the C socket.h defines and structure manipulators
License:    BSD-like
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Socket6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module provides glue routines to the various IPv6 functions.

If you use the Socket6 module, be sure to specify "use Socket" as
well as "use Socket6".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Socket6
%{perl_vendorarch}/Socket6.pm
%{_mandir}/man3/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.290.0-4.mga8
+ Revision: 1595263
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.290.0-3.mga8
+ Revision: 1529108
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.290.0-2.mga8
+ Revision: 1433116
- rebuild with perl-5.30

* Wed Oct 03 2018 tv <tv> 0.290.0-1.mga7
+ Revision: 1316084
- update to 0.29

* Fri Sep 21 2018 umeabot <umeabot> 0.280.0-5.mga7
+ Revision: 1293759
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 0.280.0-4.mga7
+ Revision: 1248032
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.280.0-3.mga7
+ Revision: 1166551
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.280.0-2.mga7
+ Revision: 1149156
- Rebuild for perl ABI changes

* Sun Jul 23 2017 shlomif <shlomif> 0.280.0-1.mga7
+ Revision: 1128906
- update to 0.28

* Sat Jul 22 2017 neoclust <neoclust> 0.270.0-3.mga7
+ Revision: 1126489
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.270.0-2.mga6
+ Revision: 1033200
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.270.0-1.mga6
+ Revision: 1002295
- update to 0.27

* Fri Feb 12 2016 umeabot <umeabot> 0.250.0-9.mga6
+ Revision: 957988
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.250.0-8.mga6
+ Revision: 845279
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.250.0-7.mga6
+ Revision: 840952
- Rebuild for the new perl

* Sat Oct 18 2014 umeabot <umeabot> 0.250.0-6.mga5
+ Revision: 788332
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.250.0-5.mga5
+ Revision: 744456
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.250.0-4.mga5
+ Revision: 733379
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.250.0-3.mga5
+ Revision: 686206
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.250.0-2.mga5
+ Revision: 631667
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 0.250.0-1.mga5
+ Revision: 586392
- update to 0.25

* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-8.mga4
+ Revision: 524517
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.230.0-7.mga4
+ Revision: 430949
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-6.mga3
+ Revision: 372659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.230.0-5.mga3
+ Revision: 251112
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.230.0-4.mga2
+ Revision: 104825
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.230.0-3.mga1
+ Revision: 31151
- mageia rebuild
- imported package perl-Socket6


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.230.0-3mdv2011.0
+ Revision: 564579
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-2mdv2011.0
+ Revision: 556144
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.1
+ Revision: 404391
- rebuild using %%perl_convert_version

* Mon Nov 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2009.1
+ Revision: 299404
- update to new version 0.23

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2009.0
+ Revision: 277972
- update to new version 0.22

* Sun Aug 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2009.0
+ Revision: 272892
- update to new version 0.21

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.20-2mdv2009.0
+ Revision: 224054
- rebuild

* Mon Feb 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2008.1
+ Revision: 170103
- new version

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.19-3mdv2008.1
+ Revision: 151409
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-2mdv2008.0
+ Revision: 67064
- rebuild


* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 0.19-1mdv2007.0
- rebuild

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdk
- New release 0.19
- fix source URL

* Tue Jun 07 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.18-1mdk
- 0.18
- Make rpmbuildupdate happy

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.17-2mdk
- rebuild for new perl

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.17-1mdk
- initial mandrake package

